cpt-search(1)

NAME
cpt-search - search for cpt packages

SYNOPSIS
cpt-search [-dso] [query]

DESCRIPTION
cpt-search can be used to search packages. Glob characters can also be used in the search.

The options are as follows:

-d  Do not search the installed package database.

-s, --single
    Only show the first instance of a package.

-o, --others
    Use the current directory as the package and show other instances of that package.

-h, --help
    Show help message

-v, --version
    Print version information

--verbose
    Be more verbose

EXAMPLES
Below are usage examples for cpt-search, which is a simple yet powerful utility for querying packages.

  Using wildcards
cpt-search expands POSIX shell wildcards when searching for packages.

    $ cpt-search 'emacs*'
    /home/cem/repos/main/community/emacs
    /home/cem/repos/main/community/emacs-nox
    /home/cem/repos/kiss-community/community/emacs
    /var/db/cpt/installed/emacs

  Limiting search to a single package
When the -s flag is given, cpt-search will only output the first instance of the package.

    $ cpt-search -s emacs
    /home/cem/repos/main/community/emacs

Here is what happens when I don't use the -s flag:

    $ cpt-search emacs
    /home/cem/repos/main/community/emacs
    /home/cem/repos/kiss-community/community/emacs
    /var/db/cpt/installed/emacs

  Removing installed database from the search results.
When you use the -d flag, cpt-search will omit the installed package database from the result. Using the above emacs query with this flag will result in:

    $ cpt-search -d emacs
    /home/cem/repos/main/community/emacs
    /home/cem/repos/kiss-community/community/emacs

  Searching other instances of the current package
Sometimes you want to check whether there are other instances of your package, especially if you are using multiple repositories from different sources. Let's say that you are in the ~/repos/main/community/emacs directory and you want to know whether this same package exists in a different repository. You then run the following command:

    $ cpt-search -od
    /home/cem/repos/kiss-community/community/emacs

AUTHOR
Cem Keylan <cem@ckyln.com>

LICENSE
See LICENSE for copyright information.

SEE ALSO
cpt(1)